=== debian/changelog ===
croaring (0.2.63+ds-2) unstable; urgency=medium

  * d/libroaring-dev: Fix subdirs installation.
  * Add 001-containerptr_roaring_bitmap_add-public.patch

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 30 Jun 2019 21:08:52 +0300

croaring (0.2.63+ds-1) unstable; urgency=low

  * Initial release (Closes: #931289)

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 30 Jun 2019 19:56:12 +0300
