=== debian/control ===
Source: croaring
Priority: optional
Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: debhelper (>= 11), cmake
Standards-Version: 4.3.0
Section: libs
Homepage: https://github.com/RoaringBitmap/CRoaring
Vcs-Git: https://salsa.debian.org/debian/croaring.git
Vcs-Browser: https://salsa.debian.org/debian/croaring.git

Package: libroaring-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libroaring0 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Portable Roaring bitmaps in C (and C++) (headers)
 Bitsets, also called bitmaps, are commonly used as fast data structures.
 Unfortunately, they can use too much memory. To compensate, we often use
 compressed bitmaps.
 Roaring bitmaps are compressed bitmaps which tend to outperform conventional
 compressed bitmaps such as WAH, EWAH or Concise.
 .
 This package provides library headers.

Package: libroaring0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Portable Roaring bitmaps in C (and C++)
 Bitsets, also called bitmaps, are commonly used as fast data structures.
 Unfortunately, they can use too much memory. To compensate, we often use
 compressed bitmaps.
 Roaring bitmaps are compressed bitmaps which tend to outperform conventional
 compressed bitmaps such as WAH, EWAH or Concise.
