## croaring 0.2.65%2Bds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
   set(ROARING_LIB_TYPE STATIC)
   MESSAGE( STATUS "Building a static library." )
 else()
-  MESSAGE( STATUS "Building a dynamic library (default)." )
+  MESSAGE( STATUS "Building a dynamic library." )
   set(ROARING_LIB_TYPE SHARED)
 endif()
