=== debian/changelog ===
croaring (0.2.65+ds-1) unstable; urgency=medium

  * New upstream version 0.2.65+ds
  * d/libroaring0.symbols.amd64: Add forgotten #include.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 20 Oct 2019 17:35:34 +0300

croaring (0.2.63+ds-3) unstable; urgency=medium

  * debian/libroaring0.symbols*: Fix FTBTS on arch other then amd64.
  * d/control: Fix libcroaring-dev deprends on ${shlibs:Depends}.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 21 Aug 2019 19:03:33 +0300
