## croaring 0.2.65+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,8 @@
 set(ROARING_LIB_NAME roaring)
 set(PROJECT_VERSION_MAJOR 0)
 set(PROJECT_VERSION_MINOR 2)
-set(PROJECT_VERSION_PATCH 63)
-set(ROARING_LIB_VERSION "0.2.63" CACHE STRING "Roaring library version")
+set(PROJECT_VERSION_PATCH 65)
+set(ROARING_LIB_VERSION "0.2.65" CACHE STRING "Roaring library version")
 set(ROARING_LIB_SOVERSION "0" CACHE STRING "Roaring library soversion")
 
 option(ROARING_DISABLE_X64 "Forcefully disable x64 optimizations even if hardware supports it (this disables AVX) " OFF)
