## croaring 0.2.66%2Bds

=== tests/vendor/cmocka/CMakeLists.txt ===
add_library(cmocka STATIC cmocka.c)
