=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DROARING_DISABLE_NATIVE=ON

override_dh_auto_clean:
	dh_auto_clean $@
	rm -f tests/config.h

# Since we exclude realdata from archive, do not run ctest for it
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- ARGS+="-E realdata_unit"
endif
