=== debian/changelog ===
croaring (0.2.66+ds-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fixes for FTBFS with CMake 4. (Closes: #1112813)

 -- Adrian Bunk <bunk@debian.org>  Sun, 19 Oct 2025 13:23:50 +0300

croaring (0.2.66+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061909

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:43:31 +0000

croaring (0.2.66+ds-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/libroaring-dev.install: Do not override path of CMake metadata.
    The file varies between architectures, so /usr/share is not the right
    place for it. Moving it to a location with a different number of path
    segments also causes it to fail to find the library on non-merged-/usr
    systems. (Closes: #968063)
  * d/tests: Add a superficial compile/link/run autopkgtest

  [ Alexander Gerasiov ]
  * 001-containerptr_roaring_bitmap_add-public.patch: Add patch headers.
  * Backport 0002-Generate-and-install-pkg-config-metadata-235.patch from
    upstream (Closes: #968092).

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 05 Jan 2021 15:44:54 +0300

croaring (0.2.66+ds-1) unstable; urgency=medium

  * New upstream version 0.2.66+ds

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 03 May 2020 18:19:39 +0300
