=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: croaring
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
-Build-Depends: debhelper (>= 11), cmake
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 11), cmake
 Standards-Version: 4.3.0
 Section: libs
 Homepage: https://github.com/RoaringBitmap/CRoaring
@@ -10,7 +10,7 @@
 
 Package: libroaring-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libroaring0 (= ${binary:Version})
+Depends: ${misc:Depends}, libroaring0t64 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Portable Roaring bitmaps in C (and C++) (headers)
@@ -22,7 +22,10 @@
  .
  This package provides library headers.
 
-Package: libroaring0
+Package: libroaring0t64
+Provides: ${t64:Provides}
+Replaces: libroaring0
+Breaks: libroaring0 (<< ${source:Version})
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
