=== debian/tests/control ===
Tests: cmake
Depends: build-essential, cmake, libroaring-dev
Restrictions: superficial, allow-stderr
