=== debian/watch ===
version=4

opts="dversionmangle=s/\+ds\d*$//,filenamemangle=s/(?:.*?)?v?(\d\S+)\.tar\.gz/CRoaring-$1.tar.gz/,repacksuffix=+ds,repack,compression=xz" \
   https://github.com/RoaringBitmap/CRoaring/tags \
   (?:.*?/)?v?(\d\S+)\.tar\.gz \
   debian
